Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content\Query\Criterion;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
10 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Value\MapLocationValue;
11 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications;
12 use eZ\Publish\API\Repository\Values\Content\Query\CustomFieldInterface;
13
19 class MapLocationDistance extends Criterion implements CustomFieldInterface
20 {
26 protected $customFields = [];
27
33 protected $boost;
34
43 public function __construct($target, $operator, $distance, $latitude, $longitude)
44 {
45 $distanceStart = new MapLocationValue($latitude, $longitude);
46 parent::__construct($target, $operator, $distance, $distanceStart);
47 }
48
49 public function getSpecifications()
50 {
51 return [
52 new Specifications(Operator::IN, Specifications::FORMAT_ARRAY),
53 new Specifications(Operator::EQ, Specifications::FORMAT_SINGLE),
54 new Specifications(Operator::GT, Specifications::FORMAT_SINGLE),
55 new Specifications(Operator::GTE, Specifications::FORMAT_SINGLE),
56 new Specifications(Operator::LT, Specifications::FORMAT_SINGLE),
57 new Specifications(Operator::LTE, Specifications::FORMAT_SINGLE),
58 new Specifications(Operator::BETWEEN, Specifications::FORMAT_ARRAY, null, 2),
59 ];
60 }
61
71 public function setCustomField($type, $field, $customField)
72 {
73 $this->customFields[$type][$field] = $customField;
74 }
75
86 public function getCustomField($type, $field)
87 {
88 if (!isset($this->customFields[$type]) ||
89 !isset($this->customFields[$type][$field])) {
90 return null;
91 }
92
93 return $this->customFields[$type][$field];
94 }
95 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance
The MapLocationDistance Criterion class.
Definition: API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\$boost
$boost
Definition: API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php:33
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\__construct
__construct($target, $operator, $distance, $latitude, $longitude)
Definition: API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php:43
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\getSpecifications
getSpecifications()
Criterion description function.
Definition: API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php:49
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\$customFields
$customFields
Definition: API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php:26
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\setCustomField
setCustomField($type, $field, $customField)
Set a custom field to query.
Definition: API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php:71
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\getCustomField
getCustomField($type, $field)
Return custom field.
Definition: API/Repository/Values/Content/Query/Criterion/MapLocationDistance.php:86
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications
This class is used by Criteria to describe which operators they support.
Definition: Specifications.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_ARRAY
const FORMAT_ARRAY
Definition: Specifications.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_SINGLE
const FORMAT_SINGLE
Criterion input type description constants.
Definition: Specifications.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LT
const LT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\EQ
const EQ
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:16
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LTE
const LTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GT
const GT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:17
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\IN
const IN
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\BETWEEN
const BETWEEN
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:22
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GTE
const GTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:18
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Value\MapLocationValue
Struct that stores extra value information for a MapLocationDistance Criterion object.
Definition: MapLocationValue.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$target
$target
Definition: API/Repository/Values/Content/Query/Criterion.php:35
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator
$operator
Definition: API/Repository/Values/Content/Query/Criterion.php:21
eZ\Publish\API\Repository\Values\Content\Query\CustomFieldInterface
Interface for criteria and sort clauses, which defines a custom field mapping.
Definition: CustomFieldInterface.php:18
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.